<div class="columns is-marginless">
  <div class="column is-narrow">
    <nav class="navbar has-shadow" role="navigation" aria-label="main navigation">
      <div class="navbar-brand">
        <a class="navbar-item" href="/">
          <div style="width: 180px;">
            <img src="<%= Routes.static_path(@conn, "/images/logo-bcsf-renass.svg") %>">
          </div>
        </a>
      </div>
      <div class="navbar-menu">
        <div class="navbar-start">
          <span class="navbar-item is-size-4"><b><%= @zone.name %></b></span>
        </div>
      </div>
    </nav>
    <table class="table is-narrow is-striped">
      <thead>
        <tr>
          <th>Status</th>
          <th>ID</th>
          <th>Date</th>
          <th>Time</th>
          <th>Mag.</th>
          <th>Type</th>
        </tr>
      </thead>
      <tbody>
        <%= for event <- @events do %>
        <%
          translated_event_type =
          if event.event_type do
            Gettext.dgettext(Web.Gettext, "event_types", event.event_type) |> String.capitalize()
          else
            Gettext.dgettext(Web.Gettext, "event_types", "event") |> String.capitalize()
          end
        %>
        <tr>
          <td><%= automatic_icon(event.preferred_origin.automatic) %></td>
          <td><%= event.id %></td>
          <td><%= format_date(event.preferred_origin.time, @locale) %></td>
          <td><%= format_time(event.preferred_origin.time, false) %></td>
          <td><b><%= event.preferred_magnitude.magnitude  |> format_magnitude() %></b></td>
          <td><%= translated_event_type %></td>
        </tr>
        <% end %>
      </tbody>

    </table>
  </div>
  <div id="dashboard-map" class="column">

  </div>
</div>
<script src="<%= Routes.static_path(@conn, "/js/events.js") %>"></script>
<script type="text/javascript">
  document.addEventListener('DOMContentLoaded', (event) => {
    <% x_center = (@zone.minimal_longitude + @zone.maximal_longitude) / 2 %>
    <% y_center = (@zone.minimal_latitude + @zone.maximal_latitude) / 2 %>
    EventMap('dashboard-map', <%= x_center %>, <%= y_center %>)
      .addMagnitudeLegend()
      .fitBounds(<%= @zone.minimal_longitude %>, <%= @zone.minimal_latitude %>, <%= @zone.maximal_longitude %>, <%= @zone.maximal_latitude %>)
      <%= for event <- @events do %>
      .addEvent(<%= event.preferred_origin.longitude %>, <%= event.preferred_origin.latitude %>, <%= event.preferred_magnitude.magnitude %>, '<%= Routes.event_path(@conn, :show, @locale, event.id) %>')
      <% end %>
  })
</script>
